Subject: Re: bug#72472: gzip: simplify printing of offsets using -l and -v

From: Collin Funk <[email-masked]>
Date: Tue, 13 Aug 2024 13:27:44 -0700

Hi Jim, Paul,

Paul Eggert <[email-masked]> writes:

> On 2024-08-13 09:20, Jim Meyering wrote:
>> While somewhat related, I don't see how an async-safe strcpy would let
>> us remove that function.
>
> Agreed. You can't even use strcpy on 'char volatile *'; C prohibits
> that. Async safety is about something else (admittedly brain-hurting
> :-).

Thanks, I found the original thread prompting the addition of
volatile_strcpy and think I understand now [1].

Apologies for the extra noise. :)

Collin

[1] https://lists.gnu.org/archive/html/bug-gzip/2018-08/msg00013.html